//=======================================================================================
// ____          ____    __    ______     __________   __      __       __        __
// \    \       |    |  |  |  |   _   \  |___    ___| |  |    |  |     /  \      |  |
//  \    \      |    |  |  |  |  |_)   |     |  |     |  |    |  |    /    \     |  |
//   \    \     |    |  |  |  |   _   /      |  |     |  |    |  |   /  /\  \    |  |
//    \    \    |    |  |  |  |  | \  \      |  |     |   \__/   |  /  ____  \   |  |____
//     \    \   |    |  |__|  |__|  \__\     |__|      \________/  /__/    \__\  |_______|
//      \    \  |    |   ________________________________________________________________
//       \    \ |    |  |  ______________________________________________________________|
//        \    \|    |  |  |         __          __     __     __     ______      _______
//         \         |  |  |_____   |  |        |  |   |  |   |  |   |   _  \    /  _____)
//          \        |  |   _____|  |  |        |  |   |  |   |  |   |  | \  \   \_______
//           \       |  |  |        |  |_____   |   \_/   |   |  |   |  |_/  /    _____  |
//            \ _____|  |__|        |________|   \_______/    |__|   |______/    (_______/
//
//  This file is part of VirtualFluids. VirtualFluids is free software: you can
//  redistribute it and/or modify it under the terms of the GNU General Public
//  License as published by the Free Software Foundation, either version 3 of
//  the License, or (at your option) any later version.
//
//  VirtualFluids is distributed in the hope that it will be useful, but WITHOUT
//  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
//  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
//  for more details.
//
//  You should have received a copy of the GNU General Public License along
//  with VirtualFluids (see COPYING.txt). If not, see <http://www.gnu.org/licenses/>.
//
//! \file buildInfo.h
//! \ingroup Core
//! \author Soeren Peters
//=======================================================================================
#ifndef buildInfo_H
#define buildInfo_H

namespace buildInfo
{
const char *gitCommitHash();
const char *gitBranch();
const char *buildType();
const char *compilerFlags();
const char *buildMachine();
const char *projectDir();
const char *binaryDir();
} // namespace buildInfo

#define GIT_COMMIT_HASH buildinfo::gitCommitHash()
#define GIT_BRANCH buildinfo::gitBranch()
#define BUILD_MACHINE buildinfo::buildMachine()
#define PROJECT_DIR buildinfo::projectDir()
#define BINARY_DIR buildinfo::binaryDir()
#define COMPILER_FLAGS buildinfo::compilerFlags()
#define BUILD_TYPE buildinfo::buildType()

#endif
